.\"	$NetBSD: timedc.8,v 1.12 2007/02/04 21:17:01 cbiere Exp $
.\"
.\" Copyright (c) 1980, 1991 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)timedc.8	8.1 (Berkeley) 6/6/93
.\"
.Dd February 2, 2007
.Dt TIMEDC 8
.Os
.Sh NAME
.Nm timedc
.Nd timed control program
.Sh SYNOPSIS
.Nm
.Op Ar command Op Ar argument ...
.Sh DESCRIPTION
.Nm
is used to control the operation of the
.Xr timed 8
program.
It may be used to:
.Bl -bullet
.It
Measure the differences between machines' clocks,
.It
Find the location where the master time server is running,
.It
Enable or disable tracing of messages received by
.Xr timed 8 ,
and
.It
Perform various debugging actions.
.El
.Pp
Without any arguments,
.Nm
will prompt for commands from the standard input.
If arguments are supplied,
.Nm
interprets the first argument as a command and the remaining
arguments as parameters to the command.  The standard input
may be redirected causing
.Nm
to read commands from a file.
Commands may be abbreviated;
recognized commands are:
.Pp
.Bl -tag -width Ds -compact
.It Ic \&? Op Ar command ...
.Pp
.It Ic help Op Ar command ...
Print a short description of each command specified in the argument list,
or, if no arguments are given, a list of the recognized commands.
.Pp
.It Ic clockdiff Ar host ...
Compute the differences between the clock of the host machine
and the clocks of the machines given as arguments.
.Pp
.It Ic msite Op Ar host ...
Show the master time server for specified host(s).
.Pp
.It Ic trace Li \&{ Ar on Li \&| Ar off Li \&}
Enable or disable the tracing of incoming messages to
.Xr timed 8
in the file
.Pa /var/log/timed.log .
.Pp
.It Ic election Ar host
Asks the daemon
on the target host to reset its
.Dq election
timers and to ensure that a time master has been elected.
.Pp
.It Ic quit
Exit from timedc.
.El
.Pp
Other commands may be included for use in testing and debugging
.Xr timed 8 ;
the help command and
the program source may be consulted for details.
.Sh FILES
.Bl -tag -width /var/log/timed.masterlog -compact
.It Pa /var/log/timed.log
tracing file for timed
.It Pa /var/log/timed.masterlog
log file for master timed
.El
.Sh DIAGNOSTICS
.Bl -tag -width Ds -compact
.It ?Ambiguous command
abbreviation matches more than one command
.It ?Invalid command
no match found
.El
.Sh SEE ALSO
.Xr date 1 ,
.Xr adjtime 2 ,
.Xr icmp 4 ,
.Xr timed 8
.Rs
.%T "TSP: The Time Synchronization Protocol for UNIX 4.3BSD"
.%A R. Gusella
.%A S. Zatti
.Re
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.3 .
